Package: groovy.jmx.builder

## [Groovy] Class JmxBeanExportFactory

- groovy.jmx.builder.JmxBeanExportFactory

-     class JmxBeanExportFactory
      extends AbstractFactory

  This factory returns a container node for all other nodes that are used to collect meta data for resources that are exported to the MBeanServer for management.

  Supported syntax:

       def jmx = new JmxBuilder()
       jmx.export(registrationPolicy:"replace|ignore|error") {
           bean(...)
       }

  registrationPolicy indicates how resources will be registered: "replace" - replaces existing bean,
  "ignore" - ignores the registration request if bean already exists.
  "error" - throws error if bean is already registered.

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Object` | `registrationPolicy` Registration policy applied to exported beans.

  - ### Constructor Summary

    Constructors
    Constructor and description
    `JmxBeanExportFactory()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `isLeaf()` Indicates that the export node may contain children.
    `` | `Object` | `newInstance(FactoryBuilderSupport builder, Object nodeName, Object nodeArgs, Map nodeAttribs)` Creates the export container and captures its registration policy.
    `` | `boolean` | `onHandleNodeAttributes(FactoryBuilderSupport builder, Object node, Map nodeAttribs)` Consumes node attributes without additional processing.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractFactory` | `isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent`

- - ### Property Detail

    - #### Object registrationPolicy

      Registration policy applied to exported beans.

  - ### Constructor Detail

    - #### JmxBeanExportFactory()

  - ### Method Detail

    - #### boolean isLeaf()

      Indicates that the export node may contain children.

      Returns:
        `false`

    - #### Object newInstance(FactoryBuilderSupport builder, Object nodeName, Object nodeArgs, Map nodeAttribs)

      Creates the export container and captures its registration policy.

      Parameters:
        `builder` - the active builder
        `nodeName` - the node name
        `nodeArgs` - positional node arguments
        `nodeAttribs` - named node attributes
      Returns:
        the export container

    - #### boolean onHandleNodeAttributes(FactoryBuilderSupport builder, Object node, Map nodeAttribs)

      Consumes node attributes without additional processing.

      Parameters:
        `builder` - the active builder
        `node` - the current node
        `nodeAttribs` - remaining node attributes
      Returns:
        `true`